NX Open C++ Reference Guide
|
Represents a @link Tooling::InitProjBuilder Tooling::InitProjBuilder@endlink <br> To create a new instance of this class, use @link Tooling::InitProjCollection::CreateInitProjBuilder Tooling::InitProjCollection::CreateInitProjBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ProjTempOption { ProjTempOptionDefault } |
Represents the project template option of InitProj, defines the pre-defined project template. More... | |
Public Member Functions | |
bool | InsertStripTog () |
Returns the option to insert strip in project Created in NX6.0.2. | |
void | MatLibButton () |
Pop up material library speadsheet file Created in NX6.0.0. | |
NXString | PartMatStr () |
Returns the material type of sheet metal part Created in NX6.0.0. | |
double | PartThickReal () |
Returns the sheet metal part thickness Created in NX6.0.0. | |
NXString | PartUnitStr () |
Returns the units of the sheet metal part Created in NX6.0.0. | |
void | ProjPathButton () |
Pop up File Selection dialog box to define the project path Created in NX6.0.0. | |
NXString | ProjPathStr () |
Returns the project path for a new project Created in NX6.0.0. | |
void | ProjTempBut () |
Pop up project template configuration spreadsheet Created in NX6.0.0. | |
NXOpen::Tooling::InitProjBuilder::ProjTempOption | ProjTempOpt () |
Returns the project template option Created in NX6.0.0. | |
bool | RenameDiaTog () |
Returns the option to rename parts in project Created in NX6.0.0. | |
void | SetInsertStripTog (bool insertStripTog) |
Sets the option to insert strip in project Created in NX6.0.2. | |
void | SetPartMatStr (const NXString &partMatStr) |
Sets the material type of sheet metal part Created in NX6.0.0. | |
void | SetPartMatStr (const char *partMatStr) |
Sets the material type of sheet metal part Created in NX6.0.0. | |
void | SetPartThickReal (double partThickReal) |
Sets the sheet metal part thickness Created in NX6.0.0. | |
void | SetPartUnitStr (const NXString &partUnitStr) |
Sets the units of the sheet metal part Created in NX6.0.0. | |
void | SetPartUnitStr (const char *partUnitStr) |
Sets the units of the sheet metal part Created in NX6.0.0. | |
void | SetProjPathStr (const NXString &projPathStr) |
Sets the project path for a new project Created in NX6.0.0. | |
void | SetProjPathStr (const char *projPathStr) |
Sets the project path for a new project Created in NX6.0.0. | |
void | SetProjTempOpt (NXOpen::Tooling::InitProjBuilder::ProjTempOption projTempOpt) |
Sets the project template option Created in NX6.0.0. | |
void | SetRenameDiaTog (bool renameDiaTog) |
Sets the option to rename parts in project Created in NX6.0.0. | |
void | SetUseSmfeatTog (bool useSmfeatTog) |
Sets the option to use SMD features Created in NX6.0.0. | |
NXOpen::ScCollector * | StationaryFace () |
Returns the planar faces assigned as stationary face of strip Created in NX6.0.2. | |
bool | UseSmfeatTog () |
Returns the option to use SMD features Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Tooling::InitProjBuilder Tooling::InitProjBuilder@endlink <br> To create a new instance of this class, use @link Tooling::InitProjCollection::CreateInitProjBuilder Tooling::InitProjCollection::CreateInitProjBuilder @endlink <br>
Default values.
Property | Value |
---|---|
InsertStripTog |
0 |
PartThickReal |
0 |
ProjTempOpt |
Default |
RenameDiaTog |
0 |
UseSmfeatTog |
0 |
Created in NX6.0.0.
Represents the project template option of InitProj, defines the pre-defined project template.
this template will be used as the basic assembly structure for this new project
bool NXOpen::Tooling::InitProjBuilder::InsertStripTog | ( | ) |
Returns the option to insert strip in project
Created in NX6.0.2.
License requirements : None
void NXOpen::Tooling::InitProjBuilder::MatLibButton | ( | ) |
Pop up material library speadsheet file
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Tooling::InitProjBuilder::PartMatStr | ( | ) |
Returns the material type of sheet metal part
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::InitProjBuilder::PartThickReal | ( | ) |
Returns the sheet metal part thickness
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Tooling::InitProjBuilder::PartUnitStr | ( | ) |
Returns the units of the sheet metal part
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::InitProjBuilder::ProjPathButton | ( | ) |
Pop up File Selection dialog box to define the project path
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Tooling::InitProjBuilder::ProjPathStr | ( | ) |
Returns the project path for a new project
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::InitProjBuilder::ProjTempBut | ( | ) |
Pop up project template configuration spreadsheet
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::InitProjBuilder::ProjTempOption NXOpen::Tooling::InitProjBuilder::ProjTempOpt | ( | ) |
Returns the project template option
Created in NX6.0.0.
License requirements : None
bool NXOpen::Tooling::InitProjBuilder::RenameDiaTog | ( | ) |
Returns the option to rename parts in project
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::InitProjBuilder::SetInsertStripTog | ( | bool | insertStripTog | ) |
Sets the option to insert strip in project
Created in NX6.0.2.
License requirements : None
insertStripTog | insertstriptog |
void NXOpen::Tooling::InitProjBuilder::SetPartMatStr | ( | const NXString & | partMatStr | ) |
Sets the material type of sheet metal part
Created in NX6.0.0.
License requirements : None
partMatStr | partmatstr |
void NXOpen::Tooling::InitProjBuilder::SetPartMatStr | ( | const char * | partMatStr | ) |
Sets the material type of sheet metal part
Created in NX6.0.0.
License requirements : None
partMatStr | partmatstr |
void NXOpen::Tooling::InitProjBuilder::SetPartThickReal | ( | double | partThickReal | ) |
Sets the sheet metal part thickness
Created in NX6.0.0.
License requirements : None
partThickReal | partthickreal |
void NXOpen::Tooling::InitProjBuilder::SetPartUnitStr | ( | const NXString & | partUnitStr | ) |
Sets the units of the sheet metal part
Created in NX6.0.0.
License requirements : None
partUnitStr | partunitstr |
void NXOpen::Tooling::InitProjBuilder::SetPartUnitStr | ( | const char * | partUnitStr | ) |
Sets the units of the sheet metal part
Created in NX6.0.0.
License requirements : None
partUnitStr | partunitstr |
void NXOpen::Tooling::InitProjBuilder::SetProjPathStr | ( | const NXString & | projPathStr | ) |
Sets the project path for a new project
Created in NX6.0.0.
License requirements : None
projPathStr | projpathstr |
void NXOpen::Tooling::InitProjBuilder::SetProjPathStr | ( | const char * | projPathStr | ) |
Sets the project path for a new project
Created in NX6.0.0.
License requirements : None
projPathStr | projpathstr |
void NXOpen::Tooling::InitProjBuilder::SetProjTempOpt | ( | NXOpen::Tooling::InitProjBuilder::ProjTempOption | projTempOpt | ) |
Sets the project template option
Created in NX6.0.0.
License requirements : None
projTempOpt | projtempopt |
void NXOpen::Tooling::InitProjBuilder::SetRenameDiaTog | ( | bool | renameDiaTog | ) |
Sets the option to rename parts in project
Created in NX6.0.0.
License requirements : None
renameDiaTog | renamediatog |
void NXOpen::Tooling::InitProjBuilder::SetUseSmfeatTog | ( | bool | useSmfeatTog | ) |
Sets the option to use SMD features
Created in NX6.0.0.
License requirements : None
useSmfeatTog | usesmfeattog |
NXOpen::ScCollector* NXOpen::Tooling::InitProjBuilder::StationaryFace | ( | ) |
Returns the planar faces assigned as stationary face of strip
Created in NX6.0.2.
License requirements : None
bool NXOpen::Tooling::InitProjBuilder::UseSmfeatTog | ( | ) |
Returns the option to use SMD features
Created in NX6.0.0.
License requirements : None